﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <title>ASP.NET AJAX</title>
  <script type="text/javascript">
   function pageLoad() {
     $addHandler(
       $get("Button1"),
       "click",
       doClick);
     $addHandler(
       $get("txtUsername"),
       "change",
       saveProfile1);
     $addHandler(
       $get("txtPassword"),
       "change",
       saveProfile2);
     Sys.Services.ProfileService.load(
       "", 
       profileLoaded,
       profileError, 
       {"operation": "load"});
   }
   
   function profileLoaded() {
     if (Sys.Services.ProfileService.properties.UserData != null) {
       $get("statusText").firstChild.nodeValue = "Profile data loaded.";
       $get("txtUsername").value = Sys.Services.ProfileService.properties.UserData.myUserName;
       $get("txtPassword").value = Sys.Services.ProfileService.properties.UserData.myPassword;
     } else {
       $get("statusText").firstChild.nodeValue = "No data available."; 
     }
   }
   
   function profileError(result, context) {
     $get("statusText").firstChild.nodeValue = 
       "Could not " + context.operation + " profile (" + 
       result.get_message() + 
       ". Check the configuration in web.config!";
   }
   
   function saveProfile1() {
     Sys.Services.ProfileService.properties.UserData.myUserName = $get("txtUsername").value;
     Sys.Services.ProfileService.save(
       null, 
       profileSaved,
       profileError,
       {"operation": "save", "property": "username"});
   }

   function saveProfile2() {
     Sys.Services.ProfileService.properties.UserData.myPassword = $get("txtPassword").value;
     Sys.Services.ProfileService.save(
       null, 
       profileSaved,
       profileError,
       {"operation": "save", "property": "password"});
   }
   
   function profileSaved(success, context) {
     $get("statusText").firstChild.nodeValue = "Profile data (" + context.property + ") saved.";
   }
   
   function doClick() {
     switch ($get("Button1").value) {
       case "Login":
         Sys.Services.AuthenticationService.login(
           $get("txtUsername").value,
           $get("txtPassword").value,
           false, 
           null,
           null, 
           loginComplete,
           loginError,
           "login");
         break;         
       case "Logout":
         Sys.Services.AuthenticationService.logout(
           null,
           loginComplete,
           loginError,
           "logout");
         break;
     }
   }
   
   function loginComplete(result, context) {
     switch (context) {
       case "login": 
         $get("txtUsername").disabled = true;
         $get("txtPassword").disabled = true;
         $get("Button1").value = "Logout";
         $get("statusText").firstChild.nodeValue = "Logged in";
         break;
       case "logout": 
         $get("txtUsername").disabled = false;
         $get("txtPassword").disabled = false;
         $get("Button1").value = "Login";
         $get("statusText").firstChild.nodeValue = "Logged out";
         break;
     }
   }
   
   function loginError(result, context) {
     $get("statusText").firstChild.nodeValue = 
       "Could not " + context + " (" + 
       result.get_message() + ").";
   }
   
  </script>
</head>
<body>
  <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" />
    <div>
      User name: <input type="text" id="txtUsername" runat="server" /><br />
      Password: <input type="password" id="txtPassword" runat="server" /><br />
      <input type="button" id="Button1" runat="server" value="Login" /><br />
      <span id="statusText" runat="server">&nbsp;</span>
    </div>
  </form>
</body>
</html>
